Public Member Functions | Public Attributes | Friends | List of all members
NisusWrtStruct::FootnoteInfo Struct Reference

Internal: low level a structure helping to store the footnote information. More...

`#include <NisusWrtStruct.hxx>`

## Public Member Functions
| FootnoteInfo ()
| constructor More...
bool | endNotes () const
| returns true if we have endnote More...
bool | resetNumberOnNewPage () const
| returns true if we have to reset index at the beginning of a page More...

## Public Attributes
int | m_flags
| the footnote flags More...
int | m_distToDocument
| the distance between the footnote and the document More...
int | m_distSeparator
| the distance between two footnotes ( or between a footnote and the line sep) More...
int | m_separatorLength
| the separator length More...
int | m_unknown
| a unknown value More...

## Friends
std::ostream & | operator<< (std::ostream &o, FootnoteInfo const &fnote)
| operator<<: prints data More...

## Detailed Description

Internal: low level a structure helping to store the footnote information.

## Constructor & Destructor Documentation

## ◆ FootnoteInfo()

NisusWrtStruct::FootnoteInfo::FootnoteInfo | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ endNotes()

bool NisusWrtStruct::FootnoteInfo::endNotes | ( |  | ) | const
| inline

returns true if we have endnote

Referenced by NisusWrtText::sendText().

## ◆ resetNumberOnNewPage()

bool NisusWrtStruct::FootnoteInfo::resetNumberOnNewPage | ( |  | ) | const
| inline

returns true if we have to reset index at the beginning of a page

Referenced by NisusWrtText::sendText().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | FootnoteInfo const & | fnote
| ) |  |
| friend

operator<<: prints data

## Member Data Documentation

## ◆ m_distSeparator

int NisusWrtStruct::FootnoteInfo::m_distSeparator

the distance between two footnotes ( or between a footnote and the line sep)

Referenced by NisusWrtStruct::operator<<().

## ◆ m_distToDocument

int NisusWrtStruct::FootnoteInfo::m_distToDocument

the distance between the footnote and the document

Referenced by NisusWrtStruct::operator<<().

## ◆ m_flags

int NisusWrtStruct::FootnoteInfo::m_flags

the footnote flags

Referenced by NisusWrtStruct::operator<<().

## ◆ m_separatorLength

int NisusWrtStruct::FootnoteInfo::m_separatorLength

the separator length

Referenced by NisusWrtStruct::operator<<().

## ◆ m_unknown

int NisusWrtStruct::FootnoteInfo::m_unknown

a unknown value

Referenced by NisusWrtStruct::operator<<().

The documentation for this struct was generated from the following file:

- NisusWrtStruct.hxx